Bug 2020481 - VIM3 ( aarch64 meson amlogic ) unusable onboard sound card
Summary: VIM3 ( aarch64 meson amlogic ) unusable onboard sound card
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 35
Hardware: aarch64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-05 03:00 UTC by hyphop
Modified: 2021-11-14 04:07 UTC (History)
18 users (show)

Fixed In Version: kernel-5.14.17-201.fc34 kernel-5.14.17-101.fc33 kernel-5.14.17-301.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 03:44:11 UTC
Type: Bug


Attachments (Terms of Use)

Description hyphop 2021-11-05 03:00:28 UTC
1. Please describe the problem:

VIM3 (aarch64 meson amlogin) soundcard cant works without next kernel option CONFIG_COMMON_CLK_AXG_AUDIO=m|y

2. What is the Version-Release number of the kernel:

any 5.x.x

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

all

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

missed onboard sound card

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


6. Are you running any modules that not shipped with directly Fedora's kernel?:


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

grep CONFIG_COMMON_CLK_AXG_AUDIO /boot/config-5.1* 

/boot/config-5.11.12-300.fc34.aarch64:# CONFIG_COMMON_CLK_AXG_AUDIO is not set /boot/config-5.13.13-200.fc34.aarch64:# CONFIG_COMMON_CLK_AXG_AUDIO is not set /boot/config-5.14.2-300.fc35.aarch64:# CONFIG_COMMON_CLK_AXG_AUDIO is not set


PS: just add n next option CONFIG_COMMON_CLK_AXG_AUDIO=m|y to kernel config

Comment 1 Fedora Update System 2021-11-09 12:54:56 UTC
FEDORA-2021-fdef34e26f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdef34e26f

Comment 2 Fedora Update System 2021-11-09 12:55:07 UTC
FEDORA-2021-7de33b7016 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7de33b7016

Comment 3 Fedora Update System 2021-11-09 12:55:18 UTC
FEDORA-2021-8364530ebf has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8364530ebf

Comment 4 Fedora Update System 2021-11-10 03:23:28 UTC
FEDORA-2021-8364530ebf has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8364530ebf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8364530ebf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-10 04:04:17 UTC
FEDORA-2021-7de33b7016 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7de33b7016`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7de33b7016

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-10 04:11:19 UTC
FEDORA-2021-fdef34e26f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fdef34e26f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdef34e26f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 hyphop 2021-11-11 05:20:51 UTC
https://forum.khadas.com/t/how-to-install-fedora-linux-for-any-khadas-sbc/13323/14#fedora-2021-fdef34e26f-has-been-pushed-to-the-fedora-35-testing-repository-1

check new situation

[hyphop@fedora ~]$ cat /proc/asound/cards 
 0 [hdmisound      ]: simple-card - hdmi-sound
                      khadas-Edge-

HDMI sound already works - OK


BTW: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdef34e26f

500 Internal Server Error

Traceback (most recent call last): File "/usr/lib/python3.9/site-packages/pyramid_mako/__init__.py", line 148, in __call__ result = template.render_unicode(**system) File "/usr/lib/python3.9/site-packages/mako/template.py", line 478, in render_unicode return runtime._render( File "/usr/lib/python3.9/site-packages/mako/runtime.py", line 878, in _render _render_context( File "/usr/lib/python3.9/site-packages/mako/runtime.py", line 920, in

Comment 8 Fedora Update System 2021-11-14 03:44:11 UTC
FEDORA-2021-7de33b7016 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-11-14 03:50:00 UTC
FEDORA-2021-8364530ebf has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-11-14 04:07:22 UTC
FEDORA-2021-fdef34e26f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.